# class DedicatedBuffer

*Defined at src/network/switch/dedicated_buffer.h#10*

Inherits from SwitchBuffer



## Functions

### DedicatedBuffer

*public void DedicatedBuffer(Simulator *const sim, NetworkSwitch *const owner, Bytes total_bytes, uint16_t ports)*

### enqueue_packet

*public bool enqueue_packet(const Packet & pkt, PortId egress, FlowPriority prio)*

### drain_one

*public bool drain_one(PortId port)*

### queues_for

*protected std::array<std::deque<Queued>, PRI_COUNT> & queues_for(PortId p)*

### queues_for

*protected const std::array<std::deque<Queued>, PRI_COUNT> & queues_for(PortId p)*

### on_enqueue_cap_check

*protected bool on_enqueue_cap_check(PortId port, Bytes sz)*

### on_enqueue_commit

*protected void on_enqueue_commit(PortId port, Bytes sz)*

### on_dequeue_commit

*protected void on_dequeue_commit(PortId port, Bytes sz)*



